API reference › Broadcast and dispatch › Broadcast settings
Create or update broadcast dispatch logic settings
POST /v1/settings/broadcast-settings
- Scope
settings_broadcast_dispatch:edit- Roles
- admin, scheduler
Creates or updates the broadcast dispatch logic settings for an organization
Parameters
None of its own.
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Request body required
53 top-level fields; 3 hold nested fields, listed below.
| Field | Type | Description |
|---|---|---|
initialProviderPoolSize required | integer | Example |
cycleInterval required | integer | Example |
cycleIntervalUnit required | string | Example |
maximumBroadcastRounds required | integer | Example |
maximumTotalProvidersContracted required | integer | Example |
repeatContactProviderHoursLimit required | integer | Example |
autoEscalateAfterFailedRounds required | integer | Example |
enableBroadcastDefault | boolean or null | Example |
enableFidoNetworkBroadcastDefault | boolean or null | Example |
enableRotationalBroadcast | boolean or null | Example |
enablePriorityBasedBroadcastBehavior | boolean or null | Example |
enableRateBaseBehavior | boolean or null | Example |
userTieredMatchingPools | boolean or null | Example |
enableProfitabilityBasedMatching | boolean or null | Example |
expressInterests | boolean or null | Example |
whoConfirmsAssignments | string or null | One of: |
notifySchedulerOnExpressedInterest | boolean or null | Example |
notifyClientOnExpressedInterest | boolean or null | Example |
acceptAction | boolean or null | Example |
whoConfirmsAcceptedAssignments | string or null | One of: |
notifySchedulerOnAcceptedAssignments | boolean or null | Example |
notifyClientOnAcceptedAssignments | boolean or null | Example |
declineAction | boolean or null | Example |
declineTimeframe | integer or null | Example |
declineTimeframeUnit | string or null | Example |
autoFillDelay | boolean or null | Example |
autoFillDelayTimeframe | integer or null | Example |
autoFillDelayTimeframeUnit | string or null | Example |
noProviderResponseNotifyScheduler | boolean or null | Example |
noProviderResponseNotifySchedulerAfter | integer or null | Example |
noProviderResponseNotifySchedulerAfterUnit | string or null | Example |
autoEscalateUnfilled | boolean or null | Example |
autoEscalateUnfilledAfter | integer or null | Example |
autoEscalateUnfilledAfterUnit | string or null | Example |
notifyUrgentGaps | boolean or null | Example |
urgentGapsStartIn | integer or null | Example |
urgentGapsStartInUnit | string or null | Example |
enableEscalationLogic | boolean or null | Example |
escalateStillUnfilledAfter | integer or null | Example |
escalateStillUnfilledAfterUnit | string or null | Example |
escalationNotifyMethodEmail | boolean or null | Example |
escalationNotifyMethodSms | boolean or null | Example |
escalationNotifyMethodInapp | boolean or null | Example |
allowManualOverride | boolean or null | Example |
triggerImmediateRebroadcast | boolean or null | Example |
notifySchedulerInstantly | boolean or null | Example |
markAssignmentsAtRisk | boolean or null | Example |
broadcastPriorityOrder | array of object or null (3 nested) | The priority order of broadcast dispatch by user type |
rotationalBroadcastPrioritizations | array of object or null (2 nested) | Rotational broadcast prioritization strategies |
providerResponseWindow | boolean or null | Limit how long a provider has to answer a broadcast. Example |
providerResponseWindowTimeframe | integer or null | Required when providerResponseWindow is true. min 1. Example |
providerResponseWindowUnit | string or null | Required when providerResponseWindow is true. A BroadcastInterval unit: seconds, minutes, hours or days, singular or plural. Example |
escalationNotifyUsers | array of object or null (2 nested) | Users notified on escalation, by id. |
Nested fields
broadcastPriorityOrder 3 fields
| Field | Type | Description |
|---|---|---|
broadcastPriorityOrder[].id | string | One of: |
broadcastPriorityOrder[].label | string | Example |
broadcastPriorityOrder[].order | integer | Example |
rotationalBroadcastPrioritizations 2 fields
| Field | Type | Description |
|---|---|---|
rotationalBroadcastPrioritizations[].id required | string | One of: |
rotationalBroadcastPrioritizations[].label required | string | Example |
escalationNotifyUsers 2 fields
| Field | Type | Description |
|---|---|---|
escalationNotifyUsers[].id | integer or string | Example |
escalationNotifyUsers[].label | string or null | Example |
Example
{
"initialProviderPoolSize": 1,
"cycleInterval": 1,
"cycleIntervalUnit": "Hours",
"maximumBroadcastRounds": 1,
"maximumTotalProvidersContracted": 1,
"repeatContactProviderHoursLimit": 1,
"autoEscalateAfterFailedRounds": 1,
"enableBroadcastDefault": true,
"enableFidoNetworkBroadcastDefault": true,
"enableRotationalBroadcast": true,
"enablePriorityBasedBroadcastBehavior": true,
"enableRateBaseBehavior": true,
"userTieredMatchingPools": true,
"enableProfitabilityBasedMatching": true,
"expressInterests": true,
"whoConfirmsAssignments": "manual",
"notifySchedulerOnExpressedInterest": true,
"notifyClientOnExpressedInterest": true,
"acceptAction": true,
"whoConfirmsAcceptedAssignments": "manual",
"notifySchedulerOnAcceptedAssignments": true,
"notifyClientOnAcceptedAssignments": true,
"declineAction": true,
"declineTimeframe": 1,
"declineTimeframeUnit": "Minutes",
"autoFillDelay": true,
"autoFillDelayTimeframe": 1,
"autoFillDelayTimeframeUnit": "Minutes",
"noProviderResponseNotifyScheduler": true,
"noProviderResponseNotifySchedulerAfter": 1,
"noProviderResponseNotifySchedulerAfterUnit": "Minutes",
"autoEscalateUnfilled": true,
"autoEscalateUnfilledAfter": 1,
"autoEscalateUnfilledAfterUnit": "Minutes",
"notifyUrgentGaps": true,
"urgentGapsStartIn": 1,
"urgentGapsStartInUnit": "Hours",
"enableEscalationLogic": true,
"escalateStillUnfilledAfter": 1,
"escalateStillUnfilledAfterUnit": "Minutes",
"escalationNotifyMethodEmail": true,
"escalationNotifyMethodSms": true,
"escalationNotifyMethodInapp": true,
"allowManualOverride": true,
"triggerImmediateRebroadcast": true,
"notifySchedulerInstantly": true,
"markAssignmentsAtRisk": true,
"broadcastPriorityOrder": [
{
"id": "employee",
"label": "Employee",
"order": 1
}
],
"rotationalBroadcastPrioritizations": [
{
"id": "random",
"label": "Random"
}
],
"providerResponseWindow": true,
"providerResponseWindowTimeframe": 30,
"providerResponseWindowUnit": "minutes",
"escalationNotifyUsers": [
{
"id": 1,
"label": "Example"
}
]
}Example request
curl -X POST "https://api.fetchfido.ai/v1/settings/broadcast-settings" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID" \
-H "Content-Type: application/json" \
-d '{"initialProviderPoolSize":1,"cycleInterval":1,"cycleIntervalUnit":"Hours","maximumBroadcastRounds":1,"maximumTotalProvidersContracted":1,"repeatContactProviderHoursLimit":1,"autoEscalateAfterFailedRounds":1,"enableBroadcastDefault":true,"enableFidoNetworkBroadcastDefault":true,"enableRotationalBroadcast":true,"enablePriorityBasedBroadcastBehavior":true,"enableRateBaseBehavior":true,"userTieredMatchingPools":true,"enableProfitabilityBasedMatching":true,"expressInterests":true,"whoConfirmsAssignments":"manual","notifySchedulerOnExpressedInterest":true,"notifyClientOnExpressedInterest":true,"acceptAction":true,"whoConfirmsAcceptedAssignments":"manual","notifySchedulerOnAcceptedAssignments":true,"notifyClientOnAcceptedAssignments":true,"declineAction":true,"declineTimeframe":1,"declineTimeframeUnit":"Minutes","autoFillDelay":true,"autoFillDelayTimeframe":1,"autoFillDelayTimeframeUnit":"Minutes","noProviderResponseNotifyScheduler":true,"noProviderResponseNotifySchedulerAfter":1,"noProviderResponseNotifySchedulerAfterUnit":"Minutes","autoEscalateUnfilled":true,"autoEscalateUnfilledAfter":1,"autoEscalateUnfilledAfterUnit":"Minutes","notifyUrgentGaps":true,"urgentGapsStartIn":1,"urgentGapsStartInUnit":"Hours","enableEscalationLogic":true,"escalateStillUnfilledAfter":1,"escalateStillUnfilledAfterUnit":"Minutes","escalationNotifyMethodEmail":true,"escalationNotifyMethodSms":true,"escalationNotifyMethodInapp":true,"allowManualOverride":true,"triggerImmediateRebroadcast":true,"notifySchedulerInstantly":true,"markAssignmentsAtRisk":true,"broadcastPriorityOrder":[{"id":"employee","label":"Employee","order":1}],"rotationalBroadcastPrioritizations":[{"id":"random","label":"Random"}],"providerResponseWindow":true,"providerResponseWindowTimeframe":30,"providerResponseWindowUnit":"minutes","escalationNotifyUsers":[{"id":1,"label":"Example"}]}'Try it
Responses
200 Settings have been updated
Settings have been updated.
{
"success": true,
"message": "Settings have been updated",
"data": null
}Response fields (3)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
data | string or null |
401 Not signed in
Unauthorized - Authentication required
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'settings_broadcast_dispatch:edit' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Internal server error
{
"success": false,
"message": "An unexpected error occurred. Please try again later."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |